import { Vue } from "vue-property-decorator";
import { NotificationEvent } from "../../../types/NotificationEvent";
import NotificationsModule from "../../../modules/NotificationsModule";
export default class UiNotificationItem extends Vue {
    notification: NotificationEvent;
    notificationStore: NotificationsModule;
    isHover: boolean;
    get date(): string;
    get icon(): string;
    triggerAction(): void;
    close(): void;
}
